<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFRegionUtil (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFRegionUtil (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":41,"i1":41,"i2":41,"i3":41,"i4":41,"i5":41,"i6":41,"i7":41};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFRegionUtil.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/util/HSSFColor.HSSFColorPredefined.html"
               title="enum in org.apache.poi.hssf.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/util/LazilyConcatenatedByteArray.html"
               title="class in org.apache.poi.hssf.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/util/HSSFRegionUtil.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFRegionUtil.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.util</div>
    <h2 title="Class HSSFRegionUtil" class="title">Class HSSFRegionUtil</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.util.HSSFRegionUtil</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                    <div class="block"><span class="deprecationComment">POI 4.0.0</span></div>
                </div>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public final class <span class="typeNameLabel">HSSFRegionUtil</span>
extends java.lang.Object</pre>
                <div class="block">Various utility functions that make working with a region of cells easier.</div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../../org/apache/poi/ss/util/RegionUtil.html"
                           title="class in org.apache.poi.ss.util"><code>RegionUtil</code></a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderBottom-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderBottom</a></span>(int&nbsp;border,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Sets the borderBottom attribute of the HSSFRegionUtil object
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderLeft-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderLeft</a></span>(int&nbsp;border,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Sets the left border for a region of cells by manipulating the
                                        cell style
                                        of the individual cells on the left
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderRight-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderRight</a></span>(int&nbsp;border,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Sets the borderRight attribute of the HSSFRegionUtil object</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderTop-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderTop</a></span>(int&nbsp;border,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Sets the borderBottom attribute of the HSSFRegionUtil object
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBottomBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBottomBorderColor</a></span>(int&nbsp;color,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Sets the bottomBorderColor attribute of the HSSFRegionUtil
                                        object
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setLeftBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setLeftBorderColor</a></span>(int&nbsp;color,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Sets the leftBorderColor attribute of the HSSFRegionUtil object
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setRightBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setRightBorderColor</a></span>(int&nbsp;color,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Sets the rightBorderColor attribute of the HSSFRegionUtil
                                        object
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setTopBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setTopBorderColor</a></span>(int&nbsp;color,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Sets the topBorderColor attribute of the HSSFRegionUtil object
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setBorderLeft-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderLeft</h4>
                                <pre>public static&nbsp;void&nbsp;setBorderLeft(int&nbsp;border,
                                 <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                 <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                 <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the left border for a region of cells by manipulating the cell
                                    style
                                    of the individual cells on the left
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The new border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>workbook</code> - The workbook that the region is on.</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLeftBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLeftBorderColor</h4>
                                <pre>public static&nbsp;void&nbsp;setLeftBorderColor(int&nbsp;color,
                                      <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                         title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                      <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                         title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                      <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                         title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the leftBorderColor attribute of the HSSFRegionUtil object</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - The color of the border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>workbook</code> - The workbook that the region is on.</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderRight-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderRight</h4>
                                <pre>public static&nbsp;void&nbsp;setBorderRight(int&nbsp;border,
                                  <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                     title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                  <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                     title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                  <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                     title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the borderRight attribute of the HSSFRegionUtil object</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The new border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>workbook</code> - The workbook that the region is on.</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRightBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRightBorderColor</h4>
                                <pre>public static&nbsp;void&nbsp;setRightBorderColor(int&nbsp;color,
                                       <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                          title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                       <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                          title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                       <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                          title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the rightBorderColor attribute of the HSSFRegionUtil object
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - The color of the border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>workbook</code> - The workbook that the region is on.</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderBottom-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderBottom</h4>
                                <pre>public static&nbsp;void&nbsp;setBorderBottom(int&nbsp;border,
                                   <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                      title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                   <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                      title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                   <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                      title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the borderBottom attribute of the HSSFRegionUtil object</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The new border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>workbook</code> - The workbook that the region is on.</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBottomBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBottomBorderColor</h4>
                                <pre>public static&nbsp;void&nbsp;setBottomBorderColor(int&nbsp;color,
                                        <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                           title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                           title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                           title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the bottomBorderColor attribute of the HSSFRegionUtil object
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - The color of the border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>workbook</code> - The workbook that the region is on.</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderTop-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderTop</h4>
                                <pre>public static&nbsp;void&nbsp;setBorderTop(int&nbsp;border,
                                <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the borderBottom attribute of the HSSFRegionUtil object</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The new border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>workbook</code> - The workbook that the region is on.</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTopBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setTopBorderColor</h4>
                                <pre>public static&nbsp;void&nbsp;setTopBorderColor(int&nbsp;color,
                                     <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                     <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                     <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the topBorderColor attribute of the HSSFRegionUtil object</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - The color of the border</dd>
                                    <dd><code>region</code> - The region that should have the border</dd>
                                    <dd><code>workbook</code> - The workbook that the region is on.</dd>
                                    <dd><code>sheet</code> - The sheet that the region is on.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFRegionUtil.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/util/HSSFColor.HSSFColorPredefined.html"
               title="enum in org.apache.poi.hssf.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/util/LazilyConcatenatedByteArray.html"
               title="class in org.apache.poi.hssf.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/util/HSSFRegionUtil.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFRegionUtil.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
